## org.eclipse.ocl.ecore.impl
Class EcorePackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ocl.ecore.impl.EcorePackageImpl

All Implemented Interfaces:
  Notifier, EModelElement, ENamedElement, EObject, EPackage, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, BasicExtendedMetaData.EPackageExtendedMetaData.Holder, EcorePackage

    public class EcorePackageImpl

extends EPackageImpl
implements EcorePackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.ocl.ecore.EcorePackage
`EcorePackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eContainer`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.ocl.ecore.EcorePackage

`ANY_TYPE, ANY_TYPE__DEFAULT_VALUE, ANY_TYPE__EANNOTATIONS, ANY_TYPE__EPACKAGE, ANY_TYPE__ETYPE_PARAMETERS, ANY_TYPE__INSTANCE_CLASS, ANY_TYPE__INSTANCE_CLASS_NAME, ANY_TYPE__INSTANCE_TYPE_NAME, ANY_TYPE__NAME, ANY_TYPE_FEATURE_COUNT, ASSOCIATION_CLASS_CALL_EXP, ASSOCIATION_CLASS_CALL_EXP__EANNOTATIONS, ASSOCIATION_CLASS_CALL_EXP__EGENERIC_TYPE, ASSOCIATION_CLASS_CALL_EXP__END_POSITION, ASSOCIATION_CLASS_CALL_EXP__ETYPE, ASSOCIATION_CLASS_CALL_EXP__LOWER_BOUND, ASSOCIATION_CLASS_CALL_EXP__MANY, ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE, ASSOCIATION_CLASS_CALL_EXP__NAME, ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE, ASSOCIATION_CLASS_CALL_EXP__ORDERED, ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION, ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION, ASSOCIATION_CLASS_CALL_EXP__QUALIFIER, ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS, ASSOCIATION_CLASS_CALL_EXP__REQUIRED, ASSOCIATION_CLASS_CALL_EXP__SOURCE, ASSOCIATION_CLASS_CALL_EXP__START_POSITION, ASSOCIATION_CLASS_CALL_EXP__UNIQUE, ASSOCIATION_CLASS_CALL_EXP__UPPER_BOUND, ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT, BAG_TYPE, BAG_TYPE__DEFAULT_VALUE, BAG_TYPE__EANNOTATIONS, BAG_TYPE__ELEMENT_TYPE, BAG_TYPE__END_POSITION, BAG_TYPE__EPACKAGE, BAG_TYPE__ETYPE_PARAMETERS, BAG_TYPE__INSTANCE_CLASS, BAG_TYPE__INSTANCE_CLASS_NAME, BAG_TYPE__INSTANCE_TYPE_NAME, BAG_TYPE__KIND, BAG_TYPE__NAME, BAG_TYPE__SERIALIZABLE, BAG_TYPE__START_POSITION, BAG_TYPE__TYPE_END_POSITION, BAG_TYPE__TYPE_START_POSITION, BAG_TYPE_FEATURE_COUNT, BOOLEAN_LITERAL_EXP, BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL, BOOLEAN_LITERAL_EXP__EANNOTATIONS, BOOLEAN_LITERAL_EXP__EGENERIC_TYPE, BOOLEAN_LITERAL_EXP__END_POSITION, BOOLEAN_LITERAL_EXP__ETYPE, BOOLEAN_LITERAL_EXP__LOWER_BOUND, BOOLEAN_LITERAL_EXP__MANY, BOOLEAN_LITERAL_EXP__NAME, BOOLEAN_LITERAL_EXP__ORDERED, BOOLEAN_LITERAL_EXP__REQUIRED, BOOLEAN_LITERAL_EXP__START_POSITION, BOOLEAN_LITERAL_EXP__UNIQUE, BOOLEAN_LITERAL_EXP__UPPER_BOUND, BOOLEAN_LITERAL_EXP_FEATURE_COUNT, CALL_EXP, CALL_EXP__EANNOTATIONS, CALL_EXP__EGENERIC_TYPE, CALL_EXP__END_POSITION, CALL_EXP__ETYPE, CALL_EXP__LOWER_BOUND, CALL_EXP__MANY, CALL_EXP__NAME, CALL_EXP__ORDERED, CALL_EXP__PROPERTY_END_POSITION, CALL_EXP__PROPERTY_START_POSITION, CALL_EXP__REQUIRED, CALL_EXP__SOURCE, CALL_EXP__START_POSITION, CALL_EXP__UNIQUE, CALL_EXP__UPPER_BOUND, CALL_EXP_FEATURE_COUNT, CALL_OPERATION_ACTION, CALL_OPERATION_ACTION__OPERATION, CALL_OPERATION_ACTION_FEATURE_COUNT, COLLECTION_ITEM, COLLECTION_ITEM__EANNOTATIONS, COLLECTION_ITEM__EGENERIC_TYPE, COLLECTION_ITEM__ETYPE, COLLECTION_ITEM__ITEM, COLLECTION_ITEM__LOWER_BOUND, COLLECTION_ITEM__MANY, COLLECTION_ITEM__NAME, COLLECTION_ITEM__ORDERED, COLLECTION_ITEM__REQUIRED, COLLECTION_ITEM__UNIQUE, COLLECTION_ITEM__UPPER_BOUND, COLLECTION_ITEM_FEATURE_COUNT, COLLECTION_LITERAL_EXP, COLLECTION_LITERAL_EXP__EANNOTATIONS, COLLECTION_LITERAL_EXP__EGENERIC_TYPE, COLLECTION_LITERAL_EXP__END_POSITION, COLLECTION_LITERAL_EXP__ETYPE, COLLECTION_LITERAL_EXP__KIND, COLLECTION_LITERAL_EXP__LOWER_BOUND, COLLECTION_LITERAL_EXP__MANY, COLLECTION_LITERAL_EXP__NAME, COLLECTION_LITERAL_EXP__ORDERED, COLLECTION_LITERAL_EXP__PART, COLLECTION_LITERAL_EXP__REQUIRED, COLLECTION_LITERAL_EXP__SIMPLE_RANGE, COLLECTION_LITERAL_EXP__START_POSITION, COLLECTION_LITERAL_EXP__UNIQUE, COLLECTION_LITERAL_EXP__UPPER_BOUND, COLLECTION_LITERAL_EXP_FEATURE_COUNT, COLLECTION_LITERAL_PART, COLLECTION_LITERAL_PART__EANNOTATIONS, COLLECTION_LITERAL_PART__EGENERIC_TYPE, COLLECTION_LITERAL_PART__ETYPE, COLLECTION_LITERAL_PART__LOWER_BOUND, COLLECTION_LITERAL_PART__MANY, COLLECTION_LITERAL_PART__NAME, COLLECTION_LITERAL_PART__ORDERED, COLLECTION_LITERAL_PART__REQUIRED, COLLECTION_LITERAL_PART__UNIQUE, COLLECTION_LITERAL_PART__UPPER_BOUND, COLLECTION_LITERAL_PART_FEATURE_COUNT, COLLECTION_RANGE, COLLECTION_RANGE__EANNOTATIONS, COLLECTION_RANGE__EGENERIC_TYPE, COLLECTION_RANGE__ETYPE, COLLECTION_RANGE__FIRST, COLLECTION_RANGE__LAST, COLLECTION_RANGE__LOWER_BOUND, COLLECTION_RANGE__MANY, COLLECTION_RANGE__NAME, COLLECTION_RANGE__ORDERED, COLLECTION_RANGE__REQUIRED, COLLECTION_RANGE__UNIQUE, COLLECTION_RANGE__UPPER_BOUND, COLLECTION_RANGE_FEATURE_COUNT, COLLECTION_TYPE, COLLECTION_TYPE__DEFAULT_VALUE, COLLECTION_TYPE__EANNOTATIONS, COLLECTION_TYPE__ELEMENT_TYPE, COLLECTION_TYPE__END_POSITION, COLLECTION_TYPE__EPACKAGE, COLLECTION_TYPE__ETYPE_PARAMETERS, COLLECTION_TYPE__INSTANCE_CLASS, COLLECTION_TYPE__INSTANCE_CLASS_NAME, COLLECTION_TYPE__INSTANCE_TYPE_NAME, COLLECTION_TYPE__KIND, COLLECTION_TYPE__NAME, COLLECTION_TYPE__SERIALIZABLE, COLLECTION_TYPE__START_POSITION, COLLECTION_TYPE__TYPE_END_POSITION, COLLECTION_TYPE__TYPE_START_POSITION, COLLECTION_TYPE_FEATURE_COUNT, CONSTRAINT, CONSTRAINT__CONSTRAINED_ELEMENTS, CONSTRAINT__EANNOTATIONS, CONSTRAINT__NAME, CONSTRAINT__SPECIFICATION, CONSTRAINT__STEREOTYPE, CONSTRAINT_FEATURE_COUNT, eCONTENT_TYPE, eINSTANCE, ELEMENT_TYPE, ELEMENT_TYPE__ABSTRACT, ELEMENT_TYPE__DEFAULT_VALUE, ELEMENT_TYPE__EALL_ATTRIBUTES, ELEMENT_TYPE__EALL_CONTAINMENTS, ELEMENT_TYPE__EALL_GENERIC_SUPER_TYPES, ELEMENT_TYPE__EALL_OPERATIONS, ELEMENT_TYPE__EALL_REFERENCES, ELEMENT_TYPE__EALL_STRUCTURAL_FEATURES, ELEMENT_TYPE__EALL_SUPER_TYPES, ELEMENT_TYPE__EANNOTATIONS, ELEMENT_TYPE__EATTRIBUTES, ELEMENT_TYPE__EGENERIC_SUPER_TYPES, ELEMENT_TYPE__EID_ATTRIBUTE, ELEMENT_TYPE__EOPERATIONS, ELEMENT_TYPE__EPACKAGE, ELEMENT_TYPE__EREFERENCES, ELEMENT_TYPE__ESTRUCTURAL_FEATURES, ELEMENT_TYPE__ESUPER_TYPES, ELEMENT_TYPE__ETYPE_PARAMETERS, ELEMENT_TYPE__INSTANCE_CLASS, ELEMENT_TYPE__INSTANCE_CLASS_NAME, ELEMENT_TYPE__INSTANCE_TYPE_NAME, ELEMENT_TYPE__INTERFACE, ELEMENT_TYPE__NAME, ELEMENT_TYPE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, ENUM_LITERAL_EXP, ENUM_LITERAL_EXP__EANNOTATIONS, ENUM_LITERAL_EXP__EGENERIC_TYPE, ENUM_LITERAL_EXP__END_POSITION, ENUM_LITERAL_EXP__ETYPE, ENUM_LITERAL_EXP__LOWER_BOUND, ENUM_LITERAL_EXP__MANY, ENUM_LITERAL_EXP__NAME, ENUM_LITERAL_EXP__ORDERED, ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL, ENUM_LITERAL_EXP__REQUIRED, ENUM_LITERAL_EXP__START_POSITION, ENUM_LITERAL_EXP__UNIQUE, ENUM_LITERAL_EXP__UPPER_BOUND, ENUM_LITERAL_EXP_FEATURE_COUNT, EXPRESSION_IN_OCL, EXPRESSION_IN_OCL__BODY_EXPRESSION, EXPRESSION_IN_OCL__CONTEXT_VARIABLE, EXPRESSION_IN_OCL__PARAMETER_VARIABLE, EXPRESSION_IN_OCL__RESULT_VARIABLE, EXPRESSION_IN_OCL_FEATURE_COUNT, FEATURE_CALL_EXP, FEATURE_CALL_EXP__EANNOTATIONS, FEATURE_CALL_EXP__EGENERIC_TYPE, FEATURE_CALL_EXP__END_POSITION, FEATURE_CALL_EXP__ETYPE, FEATURE_CALL_EXP__LOWER_BOUND, FEATURE_CALL_EXP__MANY, FEATURE_CALL_EXP__MARKED_PRE, FEATURE_CALL_EXP__NAME, FEATURE_CALL_EXP__ORDERED, FEATURE_CALL_EXP__PROPERTY_END_POSITION, FEATURE_CALL_EXP__PROPERTY_START_POSITION, FEATURE_CALL_EXP__REQUIRED, FEATURE_CALL_EXP__SOURCE, FEATURE_CALL_EXP__START_POSITION, FEATURE_CALL_EXP__UNIQUE, FEATURE_CALL_EXP__UPPER_BOUND, FEATURE_CALL_EXP_FEATURE_COUNT, IF_EXP, IF_EXP__CONDITION, IF_EXP__EANNOTATIONS, IF_EXP__EGENERIC_TYPE, IF_EXP__ELSE_EXPRESSION, IF_EXP__END_POSITION, IF_EXP__ETYPE, IF_EXP__LOWER_BOUND, IF_EXP__MANY, IF_EXP__NAME, IF_EXP__ORDERED, IF_EXP__REQUIRED, IF_EXP__START_POSITION, IF_EXP__THEN_EXPRESSION, IF_EXP__UNIQUE, IF_EXP__UPPER_BOUND, IF_EXP_FEATURE_COUNT, INTEGER_LITERAL_EXP, INTEGER_LITERAL_EXP__EANNOTATIONS, INTEGER_LITERAL_EXP__EGENERIC_TYPE, INTEGER_LITERAL_EXP__END_POSITION, INTEGER_LITERAL_EXP__ETYPE, INTEGER_LITERAL_EXP__INTEGER_SYMBOL, INTEGER_LITERAL_EXP__LOWER_BOUND, INTEGER_LITERAL_EXP__MANY, INTEGER_LITERAL_EXP__NAME, INTEGER_LITERAL_EXP__ORDERED, INTEGER_LITERAL_EXP__REQUIRED, INTEGER_LITERAL_EXP__START_POSITION, INTEGER_LITERAL_EXP__UNIQUE, INTEGER_LITERAL_EXP__UPPER_BOUND, INTEGER_LITERAL_EXP_FEATURE_COUNT, INVALID_LITERAL_EXP, INVALID_LITERAL_EXP__EANNOTATIONS, INVALID_LITERAL_EXP__EGENERIC_TYPE, INVALID_LITERAL_EXP__END_POSITION, INVALID_LITERAL_EXP__ETYPE, INVALID_LITERAL_EXP__LOWER_BOUND, INVALID_LITERAL_EXP__MANY, INVALID_LITERAL_EXP__NAME, INVALID_LITERAL_EXP__ORDERED, INVALID_LITERAL_EXP__REQUIRED, INVALID_LITERAL_EXP__START_POSITION, INVALID_LITERAL_EXP__UNIQUE, INVALID_LITERAL_EXP__UPPER_BOUND, INVALID_LITERAL_EXP_FEATURE_COUNT, INVALID_TYPE, INVALID_TYPE__DEFAULT_VALUE, INVALID_TYPE__EANNOTATIONS, INVALID_TYPE__EPACKAGE, INVALID_TYPE__ETYPE_PARAMETERS, INVALID_TYPE__INSTANCE_CLASS, INVALID_TYPE__INSTANCE_CLASS_NAME, INVALID_TYPE__INSTANCE_TYPE_NAME, INVALID_TYPE__NAME, INVALID_TYPE_FEATURE_COUNT, ITERATE_EXP, ITERATE_EXP__BODY, ITERATE_EXP__EANNOTATIONS, ITERATE_EXP__EGENERIC_TYPE, ITERATE_EXP__END_POSITION, ITERATE_EXP__ETYPE, ITERATE_EXP__ITERATOR, ITERATE_EXP__LOWER_BOUND, ITERATE_EXP__MANY, ITERATE_EXP__NAME, ITERATE_EXP__ORDERED, ITERATE_EXP__PROPERTY_END_POSITION, ITERATE_EXP__PROPERTY_START_POSITION, ITERATE_EXP__REQUIRED, ITERATE_EXP__RESULT, ITERATE_EXP__SOURCE, ITERATE_EXP__START_POSITION, ITERATE_EXP__UNIQUE, ITERATE_EXP__UPPER_BOUND, ITERATE_EXP_FEATURE_COUNT, ITERATOR_EXP, ITERATOR_EXP__BODY, ITERATOR_EXP__EANNOTATIONS, ITERATOR_EXP__EGENERIC_TYPE, ITERATOR_EXP__END_POSITION, ITERATOR_EXP__ETYPE, ITERATOR_EXP__ITERATOR, ITERATOR_EXP__LOWER_BOUND, ITERATOR_EXP__MANY, ITERATOR_EXP__NAME, ITERATOR_EXP__ORDERED, ITERATOR_EXP__PROPERTY_END_POSITION, ITERATOR_EXP__PROPERTY_START_POSITION, ITERATOR_EXP__REQUIRED, ITERATOR_EXP__SOURCE, ITERATOR_EXP__START_POSITION, ITERATOR_EXP__UNIQUE, ITERATOR_EXP__UPPER_BOUND, ITERATOR_EXP_FEATURE_COUNT, LET_EXP, LET_EXP__EANNOTATIONS, LET_EXP__EGENERIC_TYPE, LET_EXP__END_POSITION, LET_EXP__ETYPE, LET_EXP__IN, LET_EXP__LOWER_BOUND, LET_EXP__MANY, LET_EXP__NAME, LET_EXP__ORDERED, LET_EXP__REQUIRED, LET_EXP__START_POSITION, LET_EXP__UNIQUE, LET_EXP__UPPER_BOUND, LET_EXP__VARIABLE, LET_EXP_FEATURE_COUNT, LITERAL_EXP, LITERAL_EXP__EANNOTATIONS, LITERAL_EXP__EGENERIC_TYPE, LITERAL_EXP__END_POSITION, LITERAL_EXP__ETYPE, LITERAL_EXP__LOWER_BOUND, LITERAL_EXP__MANY, LITERAL_EXP__NAME, LITERAL_EXP__ORDERED, LITERAL_EXP__REQUIRED, LITERAL_EXP__START_POSITION, LITERAL_EXP__UNIQUE, LITERAL_EXP__UPPER_BOUND, LITERAL_EXP_FEATURE_COUNT, LOOP_EXP, LOOP_EXP__BODY, LOOP_EXP__EANNOTATIONS, LOOP_EXP__EGENERIC_TYPE, LOOP_EXP__END_POSITION, LOOP_EXP__ETYPE, LOOP_EXP__ITERATOR, LOOP_EXP__LOWER_BOUND, LOOP_EXP__MANY, LOOP_EXP__NAME, LOOP_EXP__ORDERED, LOOP_EXP__PROPERTY_END_POSITION, LOOP_EXP__PROPERTY_START_POSITION, LOOP_EXP__REQUIRED, LOOP_EXP__SOURCE, LOOP_EXP__START_POSITION, LOOP_EXP__UNIQUE, LOOP_EXP__UPPER_BOUND, LOOP_EXP_FEATURE_COUNT, MESSAGE_EXP, MESSAGE_EXP__ARGUMENT, MESSAGE_EXP__CALLED_OPERATION, MESSAGE_EXP__EANNOTATIONS, MESSAGE_EXP__EGENERIC_TYPE, MESSAGE_EXP__END_POSITION, MESSAGE_EXP__ETYPE, MESSAGE_EXP__LOWER_BOUND, MESSAGE_EXP__MANY, MESSAGE_EXP__NAME, MESSAGE_EXP__ORDERED, MESSAGE_EXP__PROPERTY_END_POSITION, MESSAGE_EXP__PROPERTY_START_POSITION, MESSAGE_EXP__REQUIRED, MESSAGE_EXP__SENT_SIGNAL, MESSAGE_EXP__START_POSITION, MESSAGE_EXP__TARGET, MESSAGE_EXP__UNIQUE, MESSAGE_EXP__UPPER_BOUND, MESSAGE_EXP_FEATURE_COUNT, MESSAGE_TYPE, MESSAGE_TYPE__ABSTRACT, MESSAGE_TYPE__DEFAULT_VALUE, MESSAGE_TYPE__EALL_ATTRIBUTES, MESSAGE_TYPE__EALL_CONTAINMENTS, MESSAGE_TYPE__EALL_GENERIC_SUPER_TYPES, MESSAGE_TYPE__EALL_OPERATIONS, MESSAGE_TYPE__EALL_REFERENCES, MESSAGE_TYPE__EALL_STRUCTURAL_FEATURES, MESSAGE_TYPE__EALL_SUPER_TYPES, MESSAGE_TYPE__EANNOTATIONS, MESSAGE_TYPE__EATTRIBUTES, MESSAGE_TYPE__EGENERIC_SUPER_TYPES, MESSAGE_TYPE__EID_ATTRIBUTE, MESSAGE_TYPE__EOPERATIONS, MESSAGE_TYPE__EPACKAGE, MESSAGE_TYPE__EREFERENCES, MESSAGE_TYPE__ESTRUCTURAL_FEATURES, MESSAGE_TYPE__ESUPER_TYPES, MESSAGE_TYPE__ETYPE_PARAMETERS, MESSAGE_TYPE__INSTANCE_CLASS, MESSAGE_TYPE__INSTANCE_CLASS_NAME, MESSAGE_TYPE__INSTANCE_TYPE_NAME, MESSAGE_TYPE__INTERFACE, MESSAGE_TYPE__NAME, MESSAGE_TYPE__REFERRED_OPERATION, MESSAGE_TYPE__REFERRED_SIGNAL, MESSAGE_TYPE_FEATURE_COUNT, NAVIGATION_CALL_EXP, NAVIGATION_CALL_EXP__EANNOTATIONS, NAVIGATION_CALL_EXP__EGENERIC_TYPE, NAVIGATION_CALL_EXP__END_POSITION, NAVIGATION_CALL_EXP__ETYPE, NAVIGATION_CALL_EXP__LOWER_BOUND, NAVIGATION_CALL_EXP__MANY, NAVIGATION_CALL_EXP__MARKED_PRE, NAVIGATION_CALL_EXP__NAME, NAVIGATION_CALL_EXP__NAVIGATION_SOURCE, NAVIGATION_CALL_EXP__ORDERED, NAVIGATION_CALL_EXP__PROPERTY_END_POSITION, NAVIGATION_CALL_EXP__PROPERTY_START_POSITION, NAVIGATION_CALL_EXP__QUALIFIER, NAVIGATION_CALL_EXP__REQUIRED, NAVIGATION_CALL_EXP__SOURCE, NAVIGATION_CALL_EXP__START_POSITION, NAVIGATION_CALL_EXP__UNIQUE, NAVIGATION_CALL_EXP__UPPER_BOUND, NAVIGATION_CALL_EXP_FEATURE_COUNT, NULL_LITERAL_EXP, NULL_LITERAL_EXP__EANNOTATIONS, NULL_LITERAL_EXP__EGENERIC_TYPE, NULL_LITERAL_EXP__END_POSITION, NULL_LITERAL_EXP__ETYPE, NULL_LITERAL_EXP__LOWER_BOUND, NULL_LITERAL_EXP__MANY, NULL_LITERAL_EXP__NAME, NULL_LITERAL_EXP__ORDERED, NULL_LITERAL_EXP__REQUIRED, NULL_LITERAL_EXP__START_POSITION, NULL_LITERAL_EXP__UNIQUE, NULL_LITERAL_EXP__UPPER_BOUND, NULL_LITERAL_EXP_FEATURE_COUNT, NUMERIC_LITERAL_EXP, NUMERIC_LITERAL_EXP__EANNOTATIONS, NUMERIC_LITERAL_EXP__EGENERIC_TYPE, NUMERIC_LITERAL_EXP__END_POSITION, NUMERIC_LITERAL_EXP__ETYPE, NUMERIC_LITERAL_EXP__LOWER_BOUND, NUMERIC_LITERAL_EXP__MANY, NUMERIC_LITERAL_EXP__NAME, NUMERIC_LITERAL_EXP__ORDERED, NUMERIC_LITERAL_EXP__REQUIRED, NUMERIC_LITERAL_EXP__START_POSITION, NUMERIC_LITERAL_EXP__UNIQUE, NUMERIC_LITERAL_EXP__UPPER_BOUND, NUMERIC_LITERAL_EXP_FEATURE_COUNT, OCL_EXPRESSION, OCL_EXPRESSION__EANNOTATIONS, OCL_EXPRESSION__EGENERIC_TYPE, OCL_EXPRESSION__END_POSITION, OCL_EXPRESSION__ETYPE, OCL_EXPRESSION__LOWER_BOUND, OCL_EXPRESSION__MANY, OCL_EXPRESSION__NAME, OCL_EXPRESSION__ORDERED, OCL_EXPRESSION__REQUIRED, OCL_EXPRESSION__START_POSITION, OCL_EXPRESSION__UNIQUE, OCL_EXPRESSION__UPPER_BOUND, OCL_EXPRESSION_FEATURE_COUNT, OPERATION_CALL_EXP, OPERATION_CALL_EXP__ARGUMENT, OPERATION_CALL_EXP__EANNOTATIONS, OPERATION_CALL_EXP__EGENERIC_TYPE, OPERATION_CALL_EXP__END_POSITION, OPERATION_CALL_EXP__ETYPE, OPERATION_CALL_EXP__LOWER_BOUND, OPERATION_CALL_EXP__MANY, OPERATION_CALL_EXP__MARKED_PRE, OPERATION_CALL_EXP__NAME, OPERATION_CALL_EXP__OPERATION_CODE, OPERATION_CALL_EXP__ORDERED, OPERATION_CALL_EXP__PROPERTY_END_POSITION, OPERATION_CALL_EXP__PROPERTY_START_POSITION, OPERATION_CALL_EXP__REFERRED_OPERATION, OPERATION_CALL_EXP__REQUIRED, OPERATION_CALL_EXP__SOURCE, OPERATION_CALL_EXP__START_POSITION, OPERATION_CALL_EXP__UNIQUE, OPERATION_CALL_EXP__UPPER_BOUND, OPERATION_CALL_EXP_FEATURE_COUNT, ORDERED_SET_TYPE, ORDERED_SET_TYPE__DEFAULT_VALUE, ORDERED_SET_TYPE__EANNOTATIONS, ORDERED_SET_TYPE__ELEMENT_TYPE, ORDERED_SET_TYPE__END_POSITION, ORDERED_SET_TYPE__EPACKAGE, ORDERED_SET_TYPE__ETYPE_PARAMETERS, ORDERED_SET_TYPE__INSTANCE_CLASS, ORDERED_SET_TYPE__INSTANCE_CLASS_NAME, ORDERED_SET_TYPE__INSTANCE_TYPE_NAME, ORDERED_SET_TYPE__KIND, ORDERED_SET_TYPE__NAME, ORDERED_SET_TYPE__SERIALIZABLE, ORDERED_SET_TYPE__START_POSITION, ORDERED_SET_TYPE__TYPE_END_POSITION, ORDERED_SET_TYPE__TYPE_START_POSITION, ORDERED_SET_TYPE_FEATURE_COUNT, PRIMITIVE_LITERAL_EXP, PRIMITIVE_LITERAL_EXP__EANNOTATIONS, PRIMITIVE_LITERAL_EXP__EGENERIC_TYPE, PRIMITIVE_LITERAL_EXP__END_POSITION, PRIMITIVE_LITERAL_EXP__ETYPE, PRIMITIVE_LITERAL_EXP__LOWER_BOUND, PRIMITIVE_LITERAL_EXP__MANY, PRIMITIVE_LITERAL_EXP__NAME, PRIMITIVE_LITERAL_EXP__ORDERED, PRIMITIVE_LITERAL_EXP__REQUIRED, PRIMITIVE_LITERAL_EXP__START_POSITION, PRIMITIVE_LITERAL_EXP__UNIQUE, PRIMITIVE_LITERAL_EXP__UPPER_BOUND, PRIMITIVE_LITERAL_EXP_FEATURE_COUNT, PRIMITIVE_TYPE, PRIMITIVE_TYPE__DEFAULT_VALUE, PRIMITIVE_TYPE__EANNOTATIONS, PRIMITIVE_TYPE__EPACKAGE, PRIMITIVE_TYPE__ETYPE_PARAMETERS, PRIMITIVE_TYPE__INSTANCE_CLASS, PRIMITIVE_TYPE__INSTANCE_CLASS_NAME, PRIMITIVE_TYPE__INSTANCE_TYPE_NAME, PRIMITIVE_TYPE__NAME, PRIMITIVE_TYPE__SERIALIZABLE, PRIMITIVE_TYPE_FEATURE_COUNT, PROPERTY_CALL_EXP, PROPERTY_CALL_EXP__EANNOTATIONS, PROPERTY_CALL_EXP__EGENERIC_TYPE, PROPERTY_CALL_EXP__END_POSITION, PROPERTY_CALL_EXP__ETYPE, PROPERTY_CALL_EXP__LOWER_BOUND, PROPERTY_CALL_EXP__MANY, PROPERTY_CALL_EXP__MARKED_PRE, PROPERTY_CALL_EXP__NAME, PROPERTY_CALL_EXP__NAVIGATION_SOURCE, PROPERTY_CALL_EXP__ORDERED, PROPERTY_CALL_EXP__PROPERTY_END_POSITION, PROPERTY_CALL_EXP__PROPERTY_START_POSITION, PROPERTY_CALL_EXP__QUALIFIER, PROPERTY_CALL_EXP__REFERRED_PROPERTY, PROPERTY_CALL_EXP__REQUIRED, PROPERTY_CALL_EXP__SOURCE, PROPERTY_CALL_EXP__START_POSITION, PROPERTY_CALL_EXP__UNIQUE, PROPERTY_CALL_EXP__UPPER_BOUND, PROPERTY_CALL_EXP_FEATURE_COUNT, REAL_LITERAL_EXP, REAL_LITERAL_EXP__EANNOTATIONS, REAL_LITERAL_EXP__EGENERIC_TYPE, REAL_LITERAL_EXP__END_POSITION, REAL_LITERAL_EXP__ETYPE, REAL_LITERAL_EXP__LOWER_BOUND, REAL_LITERAL_EXP__MANY, REAL_LITERAL_EXP__NAME, REAL_LITERAL_EXP__ORDERED, REAL_LITERAL_EXP__REAL_SYMBOL, REAL_LITERAL_EXP__REQUIRED, REAL_LITERAL_EXP__START_POSITION, REAL_LITERAL_EXP__UNIQUE, REAL_LITERAL_EXP__UPPER_BOUND, REAL_LITERAL_EXP_FEATURE_COUNT, SEND_SIGNAL_ACTION, SEND_SIGNAL_ACTION__SIGNAL, SEND_SIGNAL_ACTION_FEATURE_COUNT, SEQUENCE_TYPE, SEQUENCE_TYPE__DEFAULT_VALUE, SEQUENCE_TYPE__EANNOTATIONS, SEQUENCE_TYPE__ELEMENT_TYPE, SEQUENCE_TYPE__END_POSITION, SEQUENCE_TYPE__EPACKAGE, SEQUENCE_TYPE__ETYPE_PARAMETERS, SEQUENCE_TYPE__INSTANCE_CLASS, SEQUENCE_TYPE__INSTANCE_CLASS_NAME, SEQUENCE_TYPE__INSTANCE_TYPE_NAME, SEQUENCE_TYPE__KIND, SEQUENCE_TYPE__NAME, SEQUENCE_TYPE__SERIALIZABLE, SEQUENCE_TYPE__START_POSITION, SEQUENCE_TYPE__TYPE_END_POSITION, SEQUENCE_TYPE__TYPE_START_POSITION, SEQUENCE_TYPE_FEATURE_COUNT, SET_TYPE, SET_TYPE__DEFAULT_VALUE, SET_TYPE__EANNOTATIONS, SET_TYPE__ELEMENT_TYPE, SET_TYPE__END_POSITION, SET_TYPE__EPACKAGE, SET_TYPE__ETYPE_PARAMETERS, SET_TYPE__INSTANCE_CLASS, SET_TYPE__INSTANCE_CLASS_NAME, SET_TYPE__INSTANCE_TYPE_NAME, SET_TYPE__KIND, SET_TYPE__NAME, SET_TYPE__SERIALIZABLE, SET_TYPE__START_POSITION, SET_TYPE__TYPE_END_POSITION, SET_TYPE__TYPE_START_POSITION, SET_TYPE_FEATURE_COUNT, STATE_EXP, STATE_EXP__EANNOTATIONS, STATE_EXP__EGENERIC_TYPE, STATE_EXP__END_POSITION, STATE_EXP__ETYPE, STATE_EXP__LOWER_BOUND, STATE_EXP__MANY, STATE_EXP__NAME, STATE_EXP__ORDERED, STATE_EXP__REFERRED_STATE, STATE_EXP__REQUIRED, STATE_EXP__START_POSITION, STATE_EXP__UNIQUE, STATE_EXP__UPPER_BOUND, STATE_EXP_FEATURE_COUNT, STRING_LITERAL_EXP, STRING_LITERAL_EXP__EANNOTATIONS, STRING_LITERAL_EXP__EGENERIC_TYPE, STRING_LITERAL_EXP__END_POSITION, STRING_LITERAL_EXP__ETYPE, STRING_LITERAL_EXP__LOWER_BOUND, STRING_LITERAL_EXP__MANY, STRING_LITERAL_EXP__NAME, STRING_LITERAL_EXP__ORDERED, STRING_LITERAL_EXP__REQUIRED, STRING_LITERAL_EXP__START_POSITION, STRING_LITERAL_EXP__STRING_SYMBOL, STRING_LITERAL_EXP__UNIQUE, STRING_LITERAL_EXP__UPPER_BOUND, STRING_LITERAL_EXP_FEATURE_COUNT, TUPLE_LITERAL_EXP, TUPLE_LITERAL_EXP__EANNOTATIONS, TUPLE_LITERAL_EXP__EGENERIC_TYPE, TUPLE_LITERAL_EXP__END_POSITION, TUPLE_LITERAL_EXP__ETYPE, TUPLE_LITERAL_EXP__LOWER_BOUND, TUPLE_LITERAL_EXP__MANY, TUPLE_LITERAL_EXP__NAME, TUPLE_LITERAL_EXP__ORDERED, TUPLE_LITERAL_EXP__PART, TUPLE_LITERAL_EXP__REQUIRED, TUPLE_LITERAL_EXP__START_POSITION, TUPLE_LITERAL_EXP__UNIQUE, TUPLE_LITERAL_EXP__UPPER_BOUND, TUPLE_LITERAL_EXP_FEATURE_COUNT, TUPLE_LITERAL_PART, TUPLE_LITERAL_PART__ATTRIBUTE, TUPLE_LITERAL_PART__EANNOTATIONS, TUPLE_LITERAL_PART__EGENERIC_TYPE, TUPLE_LITERAL_PART__END_POSITION, TUPLE_LITERAL_PART__ETYPE, TUPLE_LITERAL_PART__LOWER_BOUND, TUPLE_LITERAL_PART__MANY, TUPLE_LITERAL_PART__NAME, TUPLE_LITERAL_PART__ORDERED, TUPLE_LITERAL_PART__REQUIRED, TUPLE_LITERAL_PART__START_POSITION, TUPLE_LITERAL_PART__TYPE_END_POSITION, TUPLE_LITERAL_PART__TYPE_START_POSITION, TUPLE_LITERAL_PART__UNIQUE, TUPLE_LITERAL_PART__UPPER_BOUND, TUPLE_LITERAL_PART__VALUE, TUPLE_LITERAL_PART_FEATURE_COUNT, TUPLE_TYPE, TUPLE_TYPE__ABSTRACT, TUPLE_TYPE__DEFAULT_VALUE, TUPLE_TYPE__EALL_ATTRIBUTES, TUPLE_TYPE__EALL_CONTAINMENTS, TUPLE_TYPE__EALL_GENERIC_SUPER_TYPES, TUPLE_TYPE__EALL_OPERATIONS, TUPLE_TYPE__EALL_REFERENCES, TUPLE_TYPE__EALL_STRUCTURAL_FEATURES, TUPLE_TYPE__EALL_SUPER_TYPES, TUPLE_TYPE__EANNOTATIONS, TUPLE_TYPE__EATTRIBUTES, TUPLE_TYPE__EGENERIC_SUPER_TYPES, TUPLE_TYPE__EID_ATTRIBUTE, TUPLE_TYPE__EOPERATIONS, TUPLE_TYPE__EPACKAGE, TUPLE_TYPE__EREFERENCES, TUPLE_TYPE__ESTRUCTURAL_FEATURES, TUPLE_TYPE__ESUPER_TYPES, TUPLE_TYPE__ETYPE_PARAMETERS, TUPLE_TYPE__INSTANCE_CLASS, TUPLE_TYPE__INSTANCE_CLASS_NAME, TUPLE_TYPE__INSTANCE_TYPE_NAME, TUPLE_TYPE__INTERFACE, TUPLE_TYPE__NAME, TUPLE_TYPE__SERIALIZABLE, TUPLE_TYPE_FEATURE_COUNT, TYPE_EXP, TYPE_EXP__EANNOTATIONS, TYPE_EXP__EGENERIC_TYPE, TYPE_EXP__END_POSITION, TYPE_EXP__ETYPE, TYPE_EXP__LOWER_BOUND, TYPE_EXP__MANY, TYPE_EXP__NAME, TYPE_EXP__ORDERED, TYPE_EXP__REFERRED_TYPE, TYPE_EXP__REQUIRED, TYPE_EXP__START_POSITION, TYPE_EXP__UNIQUE, TYPE_EXP__UPPER_BOUND, TYPE_EXP_FEATURE_COUNT, TYPE_TYPE, TYPE_TYPE__DEFAULT_VALUE, TYPE_TYPE__EANNOTATIONS, TYPE_TYPE__EPACKAGE, TYPE_TYPE__ETYPE_PARAMETERS, TYPE_TYPE__INSTANCE_CLASS, TYPE_TYPE__INSTANCE_CLASS_NAME, TYPE_TYPE__INSTANCE_TYPE_NAME, TYPE_TYPE__NAME, TYPE_TYPE__REFERRED_TYPE, TYPE_TYPE_FEATURE_COUNT, UNLIMITED_NATURAL_LITERAL_EXP, UNLIMITED_NATURAL_LITERAL_EXP__EANNOTATIONS, UNLIMITED_NATURAL_LITERAL_EXP__EGENERIC_TYPE, UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION, UNLIMITED_NATURAL_LITERAL_EXP__ETYPE, UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL, UNLIMITED_NATURAL_LITERAL_EXP__LOWER_BOUND, UNLIMITED_NATURAL_LITERAL_EXP__MANY, UNLIMITED_NATURAL_LITERAL_EXP__NAME, UNLIMITED_NATURAL_LITERAL_EXP__ORDERED, UNLIMITED_NATURAL_LITERAL_EXP__REQUIRED, UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION, UNLIMITED_NATURAL_LITERAL_EXP__UNIQUE, UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED, UNLIMITED_NATURAL_LITERAL_EXP__UPPER_BOUND, UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT, UNSPECIFIED_VALUE_EXP, UNSPECIFIED_VALUE_EXP__EANNOTATIONS, UNSPECIFIED_VALUE_EXP__EGENERIC_TYPE, UNSPECIFIED_VALUE_EXP__END_POSITION, UNSPECIFIED_VALUE_EXP__ETYPE, UNSPECIFIED_VALUE_EXP__LOWER_BOUND, UNSPECIFIED_VALUE_EXP__MANY, UNSPECIFIED_VALUE_EXP__NAME, UNSPECIFIED_VALUE_EXP__ORDERED, UNSPECIFIED_VALUE_EXP__REQUIRED, UNSPECIFIED_VALUE_EXP__START_POSITION, UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION, UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION, UNSPECIFIED_VALUE_EXP__UNIQUE, UNSPECIFIED_VALUE_EXP__UPPER_BOUND, UNSPECIFIED_VALUE_EXP_FEATURE_COUNT, VARIABLE, VARIABLE__EANNOTATIONS, VARIABLE__EGENERIC_TYPE, VARIABLE__END_POSITION, VARIABLE__ETYPE, VARIABLE__INIT_EXPRESSION, VARIABLE__LOWER_BOUND, VARIABLE__MANY, VARIABLE__NAME, VARIABLE__ORDERED, VARIABLE__REPRESENTED_PARAMETER, VARIABLE__REQUIRED, VARIABLE__START_POSITION, VARIABLE__TYPE_END_POSITION, VARIABLE__TYPE_START_POSITION, VARIABLE__UNIQUE, VARIABLE__UPPER_BOUND, VARIABLE_EXP, VARIABLE_EXP__EANNOTATIONS, VARIABLE_EXP__EGENERIC_TYPE, VARIABLE_EXP__END_POSITION, VARIABLE_EXP__ETYPE, VARIABLE_EXP__LOWER_BOUND, VARIABLE_EXP__MANY, VARIABLE_EXP__NAME, VARIABLE_EXP__ORDERED, VARIABLE_EXP__REFERRED_VARIABLE, VARIABLE_EXP__REQUIRED, VARIABLE_EXP__START_POSITION, VARIABLE_EXP__UNIQUE, VARIABLE_EXP__UPPER_BOUND, VARIABLE_EXP_FEATURE_COUNT, VARIABLE_FEATURE_COUNT, VOID_TYPE, VOID_TYPE__DEFAULT_VALUE, VOID_TYPE__EANNOTATIONS, VOID_TYPE__EPACKAGE, VOID_TYPE__ETYPE_PARAMETERS, VOID_TYPE__INSTANCE_CLASS, VOID_TYPE__INSTANCE_CLASS_NAME, VOID_TYPE__INSTANCE_TYPE_NAME, VOID_TYPE__NAME, VOID_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`protected void` `createEcoreAnnotations()` Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore
`protected void` `createExtendedMetaDataAnnotations()` Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EClass` `getAnyType()`
`EClass` `getAssociationClassCallExp()`
`EClass` `getBagType()`
`EClass` `getBooleanLiteralExp()`
`EClass` `getCallExp()`
`EReference` `getCallOperationAction_Operation()`
`EClass` `getCallOperationAction()`
`EClass` `getCollectionItem()`
`EClass` `getCollectionLiteralExp()`
`EClass` `getCollectionLiteralPart()`
`EClass` `getCollectionRange()`
`EClass` `getCollectionType()`
`EReference` `getConstraint_ConstrainedElements()`
`EReference` `getConstraint_Specification()`
`EAttribute` `getConstraint_Stereotype()`
`EClass` `getConstraint()`
`EcoreFactory` `getEcoreFactory()`
`EClass` `getElementType()`
`EClass` `getEnumLiteralExp()`
`EClass` `getExpressionInOCL()`
`EClass` `getFeatureCallExp()`
`EClass` `getIfExp()`
`EClass` `getIntegerLiteralExp()`
`EClass` `getInvalidLiteralExp()`
`EClass` `getInvalidType()`
`EClass` `getIterateExp()`
`EClass` `getIteratorExp()`
`EClass` `getLetExp()`
`EClass` `getLiteralExp()`
`EClass` `getLoopExp()`
`EClass` `getMessageExp()`
`EClass` `getMessageType()`
`EClass` `getNavigationCallExp()`
`EClass` `getNullLiteralExp()`
`EClass` `getNumericLiteralExp()`
`EClass` `getOCLExpression()`
`EClass` `getOperationCallExp()`
`EClass` `getOrderedSetType()`
`EClass` `getPrimitiveLiteralExp()`
`EClass` `getPrimitiveType()`
`EClass` `getPropertyCallExp()`
`EClass` `getRealLiteralExp()`
`EReference` `getSendSignalAction_Signal()`
`EClass` `getSendSignalAction()`
`EClass` `getSequenceType()`
`EClass` `getSetType()`
`EClass` `getStateExp()`
`EClass` `getStringLiteralExp()`
`EClass` `getTupleLiteralExp()`
`EClass` `getTupleLiteralPart()`
`EClass` `getTupleType()`
`EClass` `getTypeExp()`
`EClass` `getTypeType()`
`EClass` `getUnlimitedNaturalLiteralExp()`
`EClass` `getUnspecifiedValueExp()`
`EClass` `getVariable()`
`EClass` `getVariableExp()`
`EClass` `getVoidType()`
`static EcorePackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.
`void` `initializePackageContentsGen()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eBasicSetContainer, eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static EcorePackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `EcorePackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `EcorePackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAnyType

    public EClass getAnyType()

  Specified by:
    `getAnyType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Any Type'.
  See Also:
    `AnyType`

### getBagType

    public EClass getBagType()

  Specified by:
    `getBagType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Bag Type'.
  See Also:
    `BagType`

### getCollectionType

    public EClass getCollectionType()

  Specified by:
    `getCollectionType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Collection Type'.
  See Also:
    `CollectionType`

### getElementType

    public EClass getElementType()

  Specified by:
    `getElementType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Element Type'.
  See Also:
    `ElementType`

### getInvalidType

    public EClass getInvalidType()

  Specified by:
    `getInvalidType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Invalid Type'.
  See Also:
    `InvalidType`

### getMessageType

    public EClass getMessageType()

  Specified by:
    `getMessageType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Message Type'.
  See Also:
    `MessageType`

### getOrderedSetType

    public EClass getOrderedSetType()

  Specified by:
    `getOrderedSetType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Ordered Set Type'.
  See Also:
    `OrderedSetType`

### getPrimitiveType

    public EClass getPrimitiveType()

  Specified by:
    `getPrimitiveType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Primitive Type'.
  See Also:
    `PrimitiveType`

### getSequenceType

    public EClass getSequenceType()

  Specified by:
    `getSequenceType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Sequence Type'.
  See Also:
    `SequenceType`

### getSetType

    public EClass getSetType()

  Specified by:
    `getSetType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Set Type'.
  See Also:
    `SetType`

### getTupleType

    public EClass getTupleType()

  Specified by:
    `getTupleType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Tuple Type'.
  See Also:
    `TupleType`

### getTypeType

    public EClass getTypeType()

  Specified by:
    `getTypeType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Type Type'.
  See Also:
    `TypeType`

### getVoidType

    public EClass getVoidType()

  Specified by:
    `getVoidType` in interface `EcorePackage`
  Returns:
    the meta object for class 'Void Type'.
  See Also:
    `VoidType`

### getCallOperationAction

    public EClass getCallOperationAction()

  Specified by:
    `getCallOperationAction` in interface `EcorePackage`
  Returns:
    the meta object for class 'Call Operation Action'.
  See Also:
    `CallOperationAction`

### getCallOperationAction_Operation

    public EReference getCallOperationAction_Operation()

  Specified by:
    `getCallOperationAction_Operation` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'Operation'.
  See Also:
    `CallOperationAction.getOperation()`, `EcorePackage.getCallOperationAction()`

### getConstraint

    public EClass getConstraint()

  Specified by:
    `getConstraint` in interface `EcorePackage`
  Returns:
    the meta object for class 'Constraint'.
  See Also:
    `Constraint`

### getConstraint_Specification

    public EReference getConstraint_Specification()

  Specified by:
    `getConstraint_Specification` in interface `EcorePackage`
  Returns:
    the meta object for the containment reference 'Specification'.
  See Also:
    `Constraint.getSpecification()`, `EcorePackage.getConstraint()`

### getConstraint_ConstrainedElements

    public EReference getConstraint_ConstrainedElements()

  Specified by:
    `getConstraint_ConstrainedElements` in interface `EcorePackage`
  Returns:
    the meta object for the reference list 'Constrained Elements'.
  See Also:
    `Constraint.getConstrainedElements()`, `EcorePackage.getConstraint()`

### getConstraint_Stereotype

    public EAttribute getConstraint_Stereotype()

  Specified by:
    `getConstraint_Stereotype` in interface `EcorePackage`
  Returns:
    the meta object for the attribute 'Stereotype'.
  See Also:
    `Constraint.getStereotype()`, `EcorePackage.getConstraint()`

### getSendSignalAction

    public EClass getSendSignalAction()

  Specified by:
    `getSendSignalAction` in interface `EcorePackage`
  Returns:
    the meta object for class 'Send Signal Action'.
  See Also:
    `SendSignalAction`

### getSendSignalAction_Signal

    public EReference getSendSignalAction_Signal()

  Specified by:
    `getSendSignalAction_Signal` in interface `EcorePackage`
  Returns:
    the meta object for the reference 'Signal'.
  See Also:
    `SendSignalAction.getSignal()`, `EcorePackage.getSendSignalAction()`

### getExpressionInOCL

    public EClass getExpressionInOCL()

  Specified by:
    `getExpressionInOCL` in interface `EcorePackage`
  Returns:
    the meta object for class 'Expression In OCL'.
  See Also:
    `ExpressionInOCL`

### getAssociationClassCallExp

    public EClass getAssociationClassCallExp()

  Specified by:
    `getAssociationClassCallExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Association Class Call Exp'.
  See Also:
    `AssociationClassCallExp`

### getBooleanLiteralExp

    public EClass getBooleanLiteralExp()

  Specified by:
    `getBooleanLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Boolean Literal Exp'.
  See Also:
    `BooleanLiteralExp`

### getCallExp

    public EClass getCallExp()

  Specified by:
    `getCallExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Call Exp'.
  See Also:
    `CallExp`

### getCollectionItem

    public EClass getCollectionItem()

  Specified by:
    `getCollectionItem` in interface `EcorePackage`
  Returns:
    the meta object for class 'Collection Item'.
  See Also:
    `CollectionItem`

### getCollectionLiteralExp

    public EClass getCollectionLiteralExp()

  Specified by:
    `getCollectionLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Collection Literal Exp'.
  See Also:
    `CollectionLiteralExp`

### getCollectionLiteralPart

    public EClass getCollectionLiteralPart()

  Specified by:
    `getCollectionLiteralPart` in interface `EcorePackage`
  Returns:
    the meta object for class 'Collection Literal Part'.
  See Also:
    `CollectionLiteralPart`

### getCollectionRange

    public EClass getCollectionRange()

  Specified by:
    `getCollectionRange` in interface `EcorePackage`
  Returns:
    the meta object for class 'Collection Range'.
  See Also:
    `CollectionRange`

### getEnumLiteralExp

    public EClass getEnumLiteralExp()

  Specified by:
    `getEnumLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Enum Literal Exp'.
  See Also:
    `EnumLiteralExp`

### getFeatureCallExp

    public EClass getFeatureCallExp()

  Specified by:
    `getFeatureCallExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Feature Call Exp'.
  See Also:
    `FeatureCallExp`

### getIfExp

    public EClass getIfExp()

  Specified by:
    `getIfExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'If Exp'.
  See Also:
    `IfExp`

### getIntegerLiteralExp

    public EClass getIntegerLiteralExp()

  Specified by:
    `getIntegerLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Integer Literal Exp'.
  See Also:
    `IntegerLiteralExp`

### getUnlimitedNaturalLiteralExp

    public EClass getUnlimitedNaturalLiteralExp()

  Specified by:
    `getUnlimitedNaturalLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Unlimited Natural Literal Exp'.
  See Also:
    `UnlimitedNaturalLiteralExp`

### getInvalidLiteralExp

    public EClass getInvalidLiteralExp()

  Specified by:
    `getInvalidLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Invalid Literal Exp'.
  See Also:
    `InvalidLiteralExp`

### getIterateExp

    public EClass getIterateExp()

  Specified by:
    `getIterateExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Iterate Exp'.
  See Also:
    `IterateExp`

### getIteratorExp

    public EClass getIteratorExp()

  Specified by:
    `getIteratorExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Iterator Exp'.
  See Also:
    `IteratorExp`

### getLetExp

    public EClass getLetExp()

  Specified by:
    `getLetExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Let Exp'.
  See Also:
    `LetExp`

### getLiteralExp

    public EClass getLiteralExp()

  Specified by:
    `getLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Literal Exp'.
  See Also:
    `LiteralExp`

### getLoopExp

    public EClass getLoopExp()

  Specified by:
    `getLoopExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Loop Exp'.
  See Also:
    `LoopExp`

### getMessageExp

    public EClass getMessageExp()

  Specified by:
    `getMessageExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Message Exp'.
  See Also:
    `MessageExp`

### getNavigationCallExp

    public EClass getNavigationCallExp()

  Specified by:
    `getNavigationCallExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Navigation Call Exp'.
  See Also:
    `NavigationCallExp`

### getNullLiteralExp

    public EClass getNullLiteralExp()

  Specified by:
    `getNullLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Null Literal Exp'.
  See Also:
    `NullLiteralExp`

### getNumericLiteralExp

    public EClass getNumericLiteralExp()

  Specified by:
    `getNumericLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Numeric Literal Exp'.
  See Also:
    `NumericLiteralExp`

### getOCLExpression

    public EClass getOCLExpression()

  Specified by:
    `getOCLExpression` in interface `EcorePackage`
  Returns:
    the meta object for class 'OCL Expression'.
  See Also:
    `OCLExpression`

### getOperationCallExp

    public EClass getOperationCallExp()

  Specified by:
    `getOperationCallExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Operation Call Exp'.
  See Also:
    `OperationCallExp`

### getPrimitiveLiteralExp

    public EClass getPrimitiveLiteralExp()

  Specified by:
    `getPrimitiveLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Primitive Literal Exp'.
  See Also:
    `PrimitiveLiteralExp`

### getPropertyCallExp

    public EClass getPropertyCallExp()

  Specified by:
    `getPropertyCallExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Property Call Exp'.
  See Also:
    `PropertyCallExp`

### getRealLiteralExp

    public EClass getRealLiteralExp()

  Specified by:
    `getRealLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Real Literal Exp'.
  See Also:
    `RealLiteralExp`

### getStateExp

    public EClass getStateExp()

  Specified by:
    `getStateExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'State Exp'.
  See Also:
    `StateExp`

### getStringLiteralExp

    public EClass getStringLiteralExp()

  Specified by:
    `getStringLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'String Literal Exp'.
  See Also:
    `StringLiteralExp`

### getTupleLiteralExp

    public EClass getTupleLiteralExp()

  Specified by:
    `getTupleLiteralExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Tuple Literal Exp'.
  See Also:
    `TupleLiteralExp`

### getTupleLiteralPart

    public EClass getTupleLiteralPart()

  Specified by:
    `getTupleLiteralPart` in interface `EcorePackage`
  Returns:
    the meta object for class 'Tuple Literal Part'.
  See Also:
    `TupleLiteralPart`

### getTypeExp

    public EClass getTypeExp()

  Specified by:
    `getTypeExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Type Exp'.
  See Also:
    `TypeExp`

### getUnspecifiedValueExp

    public EClass getUnspecifiedValueExp()

  Specified by:
    `getUnspecifiedValueExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Unspecified Value Exp'.
  See Also:
    `UnspecifiedValueExp`

### getVariable

    public EClass getVariable()

  Specified by:
    `getVariable` in interface `EcorePackage`
  Returns:
    the meta object for class 'Variable'.
  See Also:
    `Variable`

### getVariableExp

    public EClass getVariableExp()

  Specified by:
    `getVariableExp` in interface `EcorePackage`
  Returns:
    the meta object for class 'Variable Exp'.
  See Also:
    `VariableExp`

### getEcoreFactory

    public EcoreFactory getEcoreFactory()

  Specified by:
    `getEcoreFactory` in interface `EcorePackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

  The generated implementation is extended by adding me as a child of the empty root `OCL` package.

### initializePackageContentsGen

    public void initializePackageContentsGen()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

### createEcoreAnnotations

    protected void createEcoreAnnotations()

  Initializes the annotations for http://www.eclipse.org/emf/2002/Ecore.

### createExtendedMetaDataAnnotations

    protected void createExtendedMetaDataAnnotations()

  Initializes the annotations for http:///org/eclipse/emf/ecore/util/ExtendedMetaData.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.